Documentation Index

Fetch the complete documentation index at: https://support.keypro.fi/llms.txt

Use this file to discover all available pages before exploring further.

2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Update Fault Component partially

Prev Next
Patch
/fault_components/{fault_id}/{network_object_ct}/{network_object_id}/{component_id}/

Operation is used to update specific fields in existing fault component.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Path parameters
fault_id
integerRequired

Id of the fault

network_object_ct
integerRequired

Content type id of the network object

network_object_id
integerRequired

Id of the network object

component_id
integerRequired

Id of the component

Body parameters

Fault component attributes and values to be updated

object
amount
integer

Amount of fault components

component_id
integer Required

Component id

deflection_id
integer

Deflection id

network_object
integer Required

Network object id

network_object_ct
integer Required

Network object content type id

remarks
string

Fault component remarks

Responses
200

Object was updated successfully

object
amount
integer

Amount of fault components

component_id
integer

Component id

deflection_id
integer

Deflection id

id
integer

Primary key

network_object
integer

Network object id

network_object_ct
integer

Network object content type id

remarks
string

Fault component remarks

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object

Standard error response payload

details
string

Detailed description of error

404

Object was not found

{
  "details": "Not found."
}
object

Standard error response payload

details
string

Detailed description of error